# Uses of Class
org.apache.solr.common.cloud.Aliases

Packages that use Aliases
Package
Description
org.apache.solr.common.cloud
Common Solr Cloud and ZooKeeper related classes reused on both clients & server.

## Uses of Aliases in org.apache.solr.common.cloud

Fields in org.apache.solr.common.cloud declared as Aliases
Modifier and Type
Field
Description
`static final Aliases`
Aliases.`EMPTY`
An empty, minimal Aliases primarily used to support the non-cloud solr use cases.
Methods in org.apache.solr.common.cloud that return Aliases
Modifier and Type
Method
Description
`Aliases`
Aliases.`cloneWithCollectionAlias(String alias, String collections)`
Creates a new Aliases instance with the same data as the current one but with a modification based on the parameters.
`Aliases`
Aliases.`cloneWithCollectionAliasProperties(String alias, String propertiesKey, String propertiesValue)`
Set the value for some properties on a collection alias.
`Aliases`
Aliases.`cloneWithCollectionAliasProperties(String alias, Map<String,String> properties)`
Set the values for some properties keys on a collection alias.
`Aliases`
Aliases.`cloneWithRename(String before, String after)`
Rename an alias.
`static Aliases`
Aliases.`fromJSON(byte[] bytes, int zNodeVersion)`
Create an instance from the JSON bytes read from zookeeper.